Bug 1748104 - Please build perl-XML-SAX-Writer for EPEL-8
Summary: Please build perl-XML-SAX-Writer for EPEL-8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-XML-SAX-Writer
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1748039
TreeView+ depends on / blocked
 
Reported: 2019-09-02 19:36 UTC by Paul Howarth
Modified: 2019-09-26 00:09 UTC (History)
2 users (show)

Fixed In Version: perl-XML-SAX-Writer-0.57-5.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-26 00:09:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul Howarth 2019-09-02 19:36:15 UTC
There is a request to build perl-SOAP-Lite in EPEL 8 (Bug 1744683). It has a
build dependency on perl(Test::XML) (Bug 1748039), which in turn has a dependency on perl-XML-SAX-Writer and its dependency perl-XML-Filter-BufferText.

Please consider building perl-XML-SAX-Writer and perl-XML-Filter-BufferText in
EPEL 8. I have done test builds locally and they built successfully for me with no further missing dependencies.

If you are too busy or uninterested in building packages for EPEL-8, I will be happy to build them myself and can co-maintain if you wish.

Comment 1 Paul Howarth 2019-09-10 14:59:57 UTC
A week has passed with no response so I've requested the branches myself:

perl-XML-Filter-BufferText:
https://pagure.io/releng/fedora-scm-requests/issue/16539
https://pagure.io/releng/fedora-scm-requests/issue/16540

perl-XML-SAX-Writer:
https://pagure.io/releng/fedora-scm-requests/issue/16541
https://pagure.io/releng/fedora-scm-requests/issue/16542

Comment 2 Fedora Update System 2019-09-10 20:02:03 UTC
FEDORA-EPEL-2019-8d0a8a768c has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8d0a8a768c

Comment 3 Fedora Update System 2019-09-11 06:07:33 UTC
perl-Test-XML-0.08-16.el8, perl-XML-Filter-BufferText-1.01-32.el8, perl-XML-SAX-Writer-0.57-5.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8d0a8a768c

Comment 4 Fedora Update System 2019-09-26 00:09:14 UTC
perl-Test-XML-0.08-16.el8, perl-XML-Filter-BufferText-1.01-32.el8, perl-XML-SAX-Writer-0.57-5.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.